Subject: python-load-file in python.el does not seem to work

From: Mikko Huhtala <[email-masked]>
Date: Tue, 3 Feb 2009 23:14:31 +0200

[ resent from
  http://lists.gnu.org/archive/html/emacs-devel/2009-02/msg00220.html ]

I've ran inferior Python from both 23.0.90 and today's (2009-02-03)
CVS version. Python-load-file (C-c C-l) does not seem to do anything
in either. I do get

  Fontifying *Python*<2>... (regexps...........)
  menu-bar Python Import/reload file
  /home/mhuhtala/test/test.py loaded

in *Messages* but the module that was supposed to be loaded never
appears in the Python session and all I get is NameErrors if I try to
use it.

This is on Fedora 10 (x86) with Python 2.5.2 and glibc 2.9-3. I
compiled both Emacs versions on the system with GCC 4.3.2-7.

Doing the same with the same Python file in Fedora 7 and its Emacs 22
does work as expected.

Mikko